# Conditionals to help breaking vorbis-java-tika <-> tika dependency cycle
%bcond_with tika

Name:          vorbis-java
Version:       0.7
Release:       %mkrel 4
Group:         Development/Java
Summary:       Ogg and Vorbis toolkit for Java
License:       ASL 2.0
URL:           https://github.com/Gagravarr/VorbisJava
Source0:       https://github.com/Gagravarr/VorbisJava/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
%if %{without tika}
BuildRequires: mvn(org.apache.tika:tika-core)
%endif

BuildArch:     noarch

%description
This library is a pure Java, for working with Ogg and
Vorbis, FLAC, Opus, Speex and Theora files.

%if %{without tika}
%package tika
Summary:       VorbisJava Apache Tika plugin

%description tika
This package contains Apache Tika plugin for Ogg,
Vorbis and FLAC.
%endif

%package tools
Summary:       VorbisJava Tools

%description tools
This package contains VorbisJava Ogg and Vorbis tools for Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n VorbisJava-%{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%if %{with tika}
%pom_disable_module tika
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" tika
%endif

# disable embedded core copy
%pom_remove_plugin :maven-assembly-plugin tools

%pom_remove_plugin :maven-gpg-plugin parent
%pom_remove_plugin :maven-source-plugin parent
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" parent

%mvn_package :%{name} %{name}
%mvn_package :%{name}-parent %{name}
%mvn_package :%{name}-core %{name}

%build

# Skip test @ random fails on arm builder
%mvn_build -s -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc CHANGES.txt README.txt TODO.txt
%license LICENSE.txt NOTICE.txt

%if %{without tika}
%files tika -f .mfiles-%{name}-tika
%license LICENSE.txt NOTICE.txt
%endif

%files tools -f .mfiles-%{name}-tools
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0.7-4.mga6
+ Revision: 978214
- First rebuild of the java stack
- sync package vorbis-java with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Sep 02 2015 daviddavid <daviddavid> 0.7-1.mga6
+ Revision: 872146
- sync with fc23 (update to 0.7)
- fix Group
- fix owner of maven-poms dir
- introduce license macro

* Wed Jan 14 2015 pterjan <pterjan> 0.2-4.mga5
+ Revision: 810592
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 0.2-3.mga5
+ Revision: 740753
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 0.2-1.mga5
+ Revision: 636343
- imported package vorbis-java


* Tue Apr 02 2013 gil cattaneo <puntogil@libero.it> 0.2-1
- initial rpm
